XtNextEvent(3)

NAME
XtNextEvent, XtPending, XtPeekEvent, XtProcessEvent, XtMainLoop - query and process events and input

SYNTAX
#include <X11/Intrinsic.h>

void XtNextEvent(XEvent *event_return);

Boolean XtPeekEvent(XEvent *event_return);

Boolean XtPending(void);

void XtProcessEvent(XtInputMask mask);

void XtMainLoop(void);

ARGUMENTS

event
    Specifies a pointer to the event structure that is to be dispatched to the appropriate event handler.

event_return
    Returns the event information to the specified event structure.

mask
    Specifies what types of events to process. The mask is the bitwise inclusive OR of any combination of XtIMXEvent, XtIMTimer, XtIMAlternateInput, and XtIMSignal. As a convenience, the X Toolkit defines the symbolic name XtIMAll to be the bitwise inclusive OR of all event types.

DESCRIPTION
XtNextEvent has been replaced by XtAppNextEvent.

XtPeekEvent has been replaced by XtAppPeekEvent.

XtPending has been replaced by XtAppPending.

XtProcessEvent has been replaced by XtAppProcessEvent.

XtMainLoop has been replaced by XtAppMainLoop.

SEE ALSO
XtAppNextEvent(3xt), XtAppPending(3), XtAppPeekEvent(3), XtAppProcessEvent(3), XtAppMainLoop(3)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface